## mycompiler.mybytecode
Class CONSTANT_Utf8_info

    java.lang.Object
      mycompiler.mybytecode.CPInfo
          mycompiler.mybytecode.CONSTANT_Utf8_info

    public class CONSTANT_Utf8_info

extends CPInfo

Constructor Summary
`CONSTANT_Utf8_info()`

Method Summary
`void` `codegen(ClassFile classfile, java.io.FileOutputStream f)`
`byte[]` `get_bytes()`
`void` `set_bytes(byte[] t)`

Methods inherited from class mycompiler.mybytecode.CPInfo
`get_tag, set_tag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CONSTANT_Utf8_info

    public CONSTANT_Utf8_info()

Method Detail

### get_bytes

    public byte[] get_bytes()

### set_bytes

    public void set_bytes(byte[] t)

### codegen

    public void codegen(ClassFile classfile,
                        java.io.FileOutputStream f)

  Specified by:
    `codegen` in class `CPInfo`